
Application: gvSIG desktop - gvSIG bugs #5212
Importador de campo: problema con campo de unión si se marca en la importación
03/26/2020 12:17 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Óscar Martínez
Category: Document table
Target version: 2.5.1-3015
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al utilizar la herramienta, entre los campos disponibles para importar aparece también el campo de unión.
Si tengo dos capas, con el campo "ID" en ambas y utilizado para la unión...y se me ocurre marcarlo como campo a importar, da un
error de "Campo ID ya existe" 
O bien el campo de unión no aparece, o bien debería añadirle un sufijo y permitir su importación. Cualquier opción es válida.

Associated revisions
Revision 2222 - 04/15/2020 06:42 PM - Óscar Martínez

refs #5212 SOporte para set translation por indice

History
#1 - 04/13/2020 09:30 AM - Álvaro Anguix
- Category set to Document table

#2 - 04/14/2020 10:18 PM - Óscar Martínez
- Assignee set to Óscar Martínez

#3 - 04/15/2020 11:58 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#4 - 04/15/2020 11:59 AM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Immediate

#5 - 04/15/2020 06:40 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3015

#6 - 04/15/2020 08:12 PM - Óscar Martínez
- Status changed from New to Fixed

https://github.com/gvSIGAssociation/gvsig-desktop-scripting-ImportFields/commit/fc051ef72044bb3630559a6845b2cbb2b156a8b5

Ahora tiene soporte para los campos duplicados, de la misma forma que funciona en la exportación. Los campos de la capa base no se modifican. Si
https://github.com/gvSIGAssociation/gvsig-desktop-scripting-ImportFields/commit/fc051ef72044bb3630559a6845b2cbb2b156a8b5


el nombre de un campo nuevo coincide con el de la capa base, no permite el cambio y muestra un mensaje con el error.

#7 - 04/16/2020 01:53 PM - Álvaro Anguix
- Status changed from Fixed to Closed
